/*
 +----------------------------------------------------------------------+
 |                    Class: CDefectDetails                             |
 |                                                                      |
 | Developper:  Eric Gavaldo (eric.gavaldo@xqual.com)                   |
 +----------------------------------------------------------------------+
 */
package com.xqual.xtrigger.star;

public class CDefectDetails {
	
	public String name;
	public String description;
	public String stepsToReproduce;
	public short reproducibility;
	public int platform;
	public int os;
	public short status;
	public short severity;
	public short priority;
	public String fixTargetDate;
	public String fixTargetVersion;
	public int completion;
	public short fixType;
	public String fixDescription;
	public String fixPatches;
	
	public CDefectDetails(String name, String description, String stepsToReproduce, short reproducibility, int platform, int os, short status, short severity, short priority, String fixTargetDate, String fixTargetVersion, int completion, short fixType, String fixDescription, String fixPatches) {
		super();
		this.name = name;
		this.description = description;
		this.stepsToReproduce = stepsToReproduce;
		this.reproducibility = reproducibility;
		this.platform = platform;
		this.os = os;
		this.status = status;
		this.severity = severity;
		this.priority = priority;
		this.fixTargetDate = fixTargetDate;
		this.fixTargetVersion = fixTargetVersion;
		this.completion = completion;
		this.fixType = fixType;
		this.fixDescription = fixDescription;
		this.fixPatches = fixPatches;
	}
	
	@Override
	public String toString() {
		StringBuffer output = new StringBuffer();
		output.append(" - " + name);
		output.append(" - " + description);
		output.append(" - " + stepsToReproduce);
		output.append(" - " + reproducibility);
		output.append(" - " + platform);
		output.append(" - " + os);
		output.append(" - " + status);
		output.append(" - " + severity);
		output.append(" - " + priority);
		output.append(" - " + fixTargetDate);
		output.append(" - " + fixTargetVersion);
		output.append(" - " + completion);
		output.append(" - " + fixType);
		output.append(" - " + fixDescription);
		output.append(" - " + fixPatches);
		return output.toString();
	}

}
