/*
+----------------------------------------------------------------------+
|                    Class: CLicenseManager                            |
|                                                                      |
| Developper:  Eric Gavaldo (eric.gavaldo@xqual.com)                   |
+----------------------------------------------------------------------+
*/
package com.xqual.xtrigger.star;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.Provider;

public class CStarCrypto {

    // +==============================================================+
    // | Member(s)                                                    |
    // +==============================================================+
    public static Provider provider1;

    public static MessageDigest messageDigest;
    
    // +==============================================================+
    // | Constructor(s)                                               |
    // +==============================================================+

    static {
        try {
            messageDigest = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            System.out.println("No such algorithm: MD5");
        }
    }

    // +==============================================================+
    // | Method(s)                                                    |
    // +==============================================================+

    static public byte[] digestMd5(String input) {
    	if (input == null)
    		return null;
        return digest(input);
    }
    
    static public byte[] digest(String input) {
        return digest(input.getBytes());
    }

    static public byte[] digest(byte[] input) {
        return messageDigest.digest(input);
    }
}