/*
 +----------------------------------------------------------------------+
 |                    Class: CGlobals                                   |
 |                                                                      |
 | Developper:  Eric Gavaldo (eric.gavaldo@xqual.com)                   |
 +----------------------------------------------------------------------+
 */
package com.xqual.xtrigger.star;

import com.xqual.xtrigger.star.rest.CStarRestEngine;
import com.xqual.xtrigger.star.sql.CStarSqlCreateEngine;
import com.xqual.xtrigger.star.sql.CStarSqlDeleteEngine;
import com.xqual.xtrigger.star.sql.CStarSqlGetEngine;
import com.xqual.xtrigger.star.sql.CStarSqlUpdateEngine;

/**
 * The <code>CStarGlobals</code> class defines a class containing in particular some global variables
 * @author egavaldo
 */
public class CStarGlobals {

	// +==============================================================+
	// | Attributes                                                   |
	// +==============================================================+

	// Connection to STAR (REST)
	public static CStarRestEngine starRestEngine;
	
	// connection to XStudio (SQL)
    public static CStarSqlGetEngine    getEngine;
    public static CStarSqlUpdateEngine updateEngine;
    public static CStarSqlCreateEngine createEngine;
    public static CStarSqlDeleteEngine deleteEngine;
}
